## org.apache.solr.common.cloud
Class PlainIdRouter

    java.lang.Object
      org.apache.solr.common.cloud.DocRouter
          org.apache.solr.common.cloud.HashBasedRouter
              org.apache.solr.common.cloud.PlainIdRouter

    public class PlainIdRouter

extends HashBasedRouter

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.cloud.DocRouter
`DocRouter.Range`

Field Summary
`static String` `NAME`

Fields inherited from class org.apache.solr.common.cloud.DocRouter
`DEFAULT, DEFAULT_NAME`

Constructor Summary
`PlainIdRouter()`

Method Summary

Methods inherited from class org.apache.solr.common.cloud.HashBasedRouter
`getId, getSearchSlicesSingle, getTargetSlice, hashToSlice, sliceHash`

Methods inherited from class org.apache.solr.common.cloud.DocRouter
`fromString, fullRange, getDocRouter, getSearchSlices, partitionRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### PlainIdRouter

    public PlainIdRouter()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.